National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2015-5289 Detail

Current Description

Multiple stack-based buffer overflows in json parsing in PostgreSQL before 9.3.x before 9.3.10 and 9.4.x before 9.4.5 allow attackers to cause a denial of service (server crash) via unspecified vectors, which are not properly handled in (1) json or (2) jsonb values.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://git.postgresql.org/gitweb/?p=postgresql.git;a=commit;h=08fa47c4850cea32c3116665975bca219fbf2fe6 Vendor Advisory
http://lists.fedoraproject.org/pipermail/package-announce/2015-November/172316.html
http://lists.fedoraproject.org/pipermail/package-announce/2015-October/169094.html
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00016.html
http://lists.opensuse.org/opensuse-updates/2015-11/msg00033.html
http://www.debian.org/security/2015/dsa-3374
http://www.oracle.com/technetwork/topics/security/linuxbulletinoct2015-2719645.html
http://www.postgresql.org/about/news/1615/ Vendor Advisory
http://www.postgresql.org/docs/9.3/static/release-9-3-10.html Vendor Advisory
http://www.postgresql.org/docs/9.4/static/release-9-4-5.html Vendor Advisory
http://www.securityfocus.com/bid/77048
http://www.securitytracker.com/id/1033775
http://www.ubuntu.com/usn/USN-2772-1
https://security.gentoo.org/glsa/201701-33

Weakness Enumeration

CWE-ID CWE Name Source
CWE-119 Improper Restriction of Operations within the Bounds of a Memory Buffer NIST  

Known Affected Software Configurations Switch to CPE 2.3

Configuration 1 ( hide )
 cpe:/a:postgresql:postgresql
     Show Matching CPE(s)
Up to (including)
9.0.22
 cpe:/a:postgresql:postgresql:9.1
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.1
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.2
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.3
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.4
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.5
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.6
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.7
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.8
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.9
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.10
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.11
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.12
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.13
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.14
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.15
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.16
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.17
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.1.18
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.1
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.2
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.3
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.4
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.5
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.6
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.7
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.8
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.9
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.10
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.11
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.12
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.2.13
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.1
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.2
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.3
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.4
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.5
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.6
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.7
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.8
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.3.9
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.4.0
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.4.1
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.4.2
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.4.3
     Show Matching CPE(s)
 cpe:/a:postgresql:postgresql:9.4.4
     Show Matching CPE(s)


Change History

8 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2015-5289
NVD Published Date:
10/26/2015
NVD Last Modified:
06/30/2017